#
# Conditional build:
%bcond_without	nautilus	# Nautilus extension

Summary:	GNOME Terminal
Summary(pl.UTF-8):	Terminal dla GNOME
Name:		gnome-terminal
Version:	3.18.0
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-terminal/3.18/%{name}-%{version}.tar.xz
# Source0-md5:	def7bc10278489e061904e6cc124c3a1
Patch0:		%{name}-desktop.patch
Patch1:		bug-730632.patch
Patch2:		wordseps.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.32.0
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	dconf-devel >= 0.14
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gnome-common
BuildRequires:	gnome-shell-devel >= 3.12.0
BuildRequires:	gsettings-desktop-schemas-devel >= 0.1.0
BuildRequires:	gtk+3-devel >= 3.10.0
BuildRequires:	intltool >= 0.50.0
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-progs
%{?with_nautilus:BuildRequires:	nautilus-devel >= 3.0.0}
BuildRequires:	pkgconfig >= 1:0.12.0
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	tar >= 1:1.22
BuildRequires:	vte-devel >= 0.42.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.40.0
Requires:	dconf >= 0.14
Requires:	glib2 >= 1:2.40.0
Requires:	gsettings-desktop-schemas >= 0.1.0
Requires:	gtk+3 >= 3.10.0
Requires:	terminfo
Requires:	vte >= 0.42.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a terminal thing that isn't finished at all.

%description -l pl.UTF-8
To jest terminal, na razie całkowicie nie dokończony.

%package -n nautilus-extension-terminal
Summary:	GNOME Terminal extension for Nautilus
Summary(pl.UTF-8):	Rozszerzenie GNOME Terminal dla Nautilusa
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus >= 3.0.0
Obsoletes:	nautilus-open-terminal < 0.20-2

%description -n nautilus-extension-terminal
This package provides a Nautilus extension that adds the 'Open in
Terminal' option to the right-click context menu in Nautilus.

%description -n nautilus-extension-terminal -l pl.UTF-8
Ten pakiet dostarcza rozszerzenie Nautilusa dodające opcję "Otwórz w
terminalu" do menu kontekstowego uaktywnianego prawym klawiszem myszy
w Nautilusie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	%{?with_nautilus:--with-nautilus-extension}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	localedir=%{_localedir}

%if %{with nautilus}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/libterminal-nautilus.la
%endif

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
if [ "$1" = "0" ]; then
    %glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/gnome-terminal
%attr(755,root,root) %{_libdir}/gnome-terminal-migration
%attr(755,root,root) %{_libdir}/gnome-terminal-server
%{_datadir}/appdata/gnome-terminal.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Terminal.service
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.xml
%{_datadir}/gnome-shell/search-providers/gnome-terminal-search-provider.ini
%{_desktopdir}/gnome-terminal.desktop

%if %{with nautilus}
%files -n nautilus-extension-terminal
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libterminal-nautilus.so
%endif
%changelog
* Wed Sep 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-terminal.git;a=log;h=master

* Wed Sep 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> 8ff297c
- updated to 3.18.0

* Tue Sep 22 2015 Elan Ruusamäe <glen@delfi.ee> d7796de
- bringing back wordseps configurability

* Tue Sep 22 2015 Elan Ruusamäe <glen@delfi.ee> 70ff9e1
- Revert "wordseps patch not applicable anymore"

* Tue May 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> 10e348a
- updated to 3.16.2

* Sun Apr 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> aad41f9
- updated to 3.16.1

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 5fd9b57
- x32 rebuild
- release 2 (by relup.sh)

* Sat Mar 28 2015 Łukasz Kieś <kiesiu@pld-linux.org> af2bc45
- updated to 3.16.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a84b1e9
- updated gettext BR

* Tue Nov 18 2014 Jan Rękorajski <baggins@pld-linux.org> e876ebf
- release 2 (by relup.sh)

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 4597c94
- up to 3.14.2
- wordseps patch not applicable anymore

* Wed Jul 09 2014 Marcin Banasiak <marcin.banasiak@gmail.com> e13bebb
- Update to 3.12.3

* Thu May 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> d1c7bc9
- Update to 3.12.2

* Sat Apr 26 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 2156e58
- Update to 3.12.1

* Tue Apr 01 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 73c4346
- Add BR: gnome-shell-devel. Release 2

* Mon Mar 31 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 8732d32
- Update to 3.12.0

* Sun Jan 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 8490ddb
- License is GPL v3+ since 2.32.0
- pl, completed dependencies, added nautilus bcond

* Tue Nov 12 2013 Łukasz Kieś <kiesiu@pld-linux.org> 28f0630
- updated to 3.10.2

* Thu Oct 17 2013 Łukasz Kieś <kiesiu@pld-linux.org> 8cae16e
- updated to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 46a8532
- Update to 3.10.0

* Sun Jul 14 2013 Łukasz Kieś <kiesiu@pld-linux.org> 60a7c67
- updated to 3.8.4

